<?php

namespace Modules\Slider\Interfaces;

use Modules\Slider\Models\Slider;

interface SliderRepositoryInterface
{
    public function get(array $request);
    public function getItem(int $id);
    public function checkItem(int $id);
    public function create(array $request): Slider;
    public function update(array $request, Slider $slider): Slider;
    public function destroy(Slider $slider): void;
    public function destroyAll(array $ids): void;
    public function restore(Slider $slider): void;
    public function restoreAll(array $ids): void;
}
